Provider
ProviderInfo object
- namestring
The name of the Provider.
- authentication_typestring
The delta sharing authentication type.
- recipient_profile_strstring
This field is required when the authentication_type is TOKEN, OAUTH_CLIENT_CREDENTIALS or not provided.
- commentstring
Description about the provider.
- ownerstring
Username of Provider owner.
- recipient_profileobject
The recipient profile. This field is only present when the authentication_type is
TOKENorOAUTH_CLIENT_CREDENTIALS.Show child attributesHide child attributes
- endpointstring
The endpoint for the share to be used by the recipient.
- bearer_tokenstring
The token used to authorize the recipient.
- created_atint64
Time at which this Provider was created, in epoch milliseconds.
- created_bystring
Username of Provider creator.
- updated_atint64
Time at which this Provider was created, in epoch milliseconds.
- updated_bystring
Username of user who last modified Provider.
- cloudstring
Cloud vendor of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.
- regionstring
Cloud region of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.
- metastore_idstring
UUID of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.
- data_provider_global_metastore_idstring
The global UC metastore id of the data provider. This field is only present when the authentication_type is DATABRICKS. The identifier is of format cloud:region:metastore-uuid.
Get GA
GET
Gets a specific authentication provider. The caller must supply the name of the provider, and must either be a metastore admin or the owner of the provider.
API scopes: sharing
Parameters
- name_argstringRequiredpath
Name of the provider.
Response
Returns the ProviderInfo object.
List GA
GET
Gets an array of available authentication providers. The caller must either be a metastore admin, have the USE_PROVIDER privilege on the providers, or be the owner of the providers. Providers not owned by the caller and for which the caller does not have the USE_PROVIDER privilege are not included in the response. There is no guarantee of a specific ordering of the elements in the array.
API scopes: sharing
Parameters
- data_provider_global_metastore_idstringquery
If not provided, all providers will be returned. If no providers exist with this ID, no results will be returned.
- max_resultsint32query
Maximum number of providers to return.
- when set to 0, the page length is set to a server configured value (recommended);
- when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
- when set to a value less than 0, an invalid parameter error is returned;
- If not set, all valid providers are returned (not recommended).
- Note: The number of returned providers might be less than the specified max_results size, even zero. The only definitive indication that no further providers can be fetched is when the next_page_token is unset from the response.
- page_tokenstringquery
Opaque pagination token to go to next page based on previous query.
Response
Returns a list of ProviderInfo objects.
Create GA
POST
Creates a new authentication provider minimally based on a name and authentication type. The caller must be an admin on the metastore.
API scopes: sharing
Request body
- namestring
The name of the Provider.
- authentication_typestring
The delta sharing authentication type.
- recipient_profile_strstring
This field is required when the authentication_type is TOKEN, OAUTH_CLIENT_CREDENTIALS or not provided.
- commentstring
Description about the provider.
- ownerstring
Username of Provider owner.
- recipient_profileobject
The recipient profile. This field is only present when the authentication_type is
TOKENorOAUTH_CLIENT_CREDENTIALS.Show child attributesHide child attributes
- endpointstring
The endpoint for the share to be used by the recipient.
- bearer_tokenstring
The token used to authorize the recipient.
- created_atint64
Time at which this Provider was created, in epoch milliseconds.
- created_bystring
Username of Provider creator.
- updated_atint64
Time at which this Provider was created, in epoch milliseconds.
- updated_bystring
Username of user who last modified Provider.
- cloudstring
Cloud vendor of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.
- regionstring
Cloud region of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.
- metastore_idstring
UUID of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.
- data_provider_global_metastore_idstring
The global UC metastore id of the data provider. This field is only present when the authentication_type is DATABRICKS. The identifier is of format cloud:region:metastore-uuid.
Response
Returns the ProviderInfo object.
Update GA
PATCH
Updates the information for an authentication provider, if the caller is a metastore admin or is the owner of the provider. If the update changes the provider name, the caller must be both a metastore admin and the owner of the provider.
API scopes: sharing
Parameters
- name_argstringRequiredpath
Name of the provider.
Request body
- new_namestring
New name for the provider.
- namestring
The name of the Provider.
- authentication_typestring
The delta sharing authentication type.
- recipient_profile_strstring
This field is required when the authentication_type is TOKEN, OAUTH_CLIENT_CREDENTIALS or not provided.
- commentstring
Description about the provider.
- ownerstring
Username of Provider owner.
- recipient_profileobject
The recipient profile. This field is only present when the authentication_type is
TOKENorOAUTH_CLIENT_CREDENTIALS.Show child attributesHide child attributes
- endpointstring
The endpoint for the share to be used by the recipient.
- bearer_tokenstring
The token used to authorize the recipient.
- created_atint64
Time at which this Provider was created, in epoch milliseconds.
- created_bystring
Username of Provider creator.
- updated_atint64
Time at which this Provider was created, in epoch milliseconds.
- updated_bystring
Username of user who last modified Provider.
- cloudstring
Cloud vendor of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.
- regionstring
Cloud region of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.
- metastore_idstring
UUID of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.
- data_provider_global_metastore_idstring
The global UC metastore id of the data provider. This field is only present when the authentication_type is DATABRICKS. The identifier is of format cloud:region:metastore-uuid.
Response
Returns the ProviderInfo object.
Delete GA
List Provider Shares GA
GET
Gets an array of a specified provider's shares within the metastore where:
- the caller is a metastore admin, or
- the caller is the owner.
API scopes: sharing
Parameters
- provider_name_argstringRequiredpath
Name of the provider in which to list shares.
- max_resultsint32query
Maximum number of shares to return.
- when set to 0, the page length is set to a server configured value (recommended);
- when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
- when set to a value less than 0, an invalid parameter error is returned;
- If not set, all valid shares are returned (not recommended).
- Note: The number of returned shares might be less than the specified max_results size, even zero. The only definitive indication that no further shares can be fetched is when the next_page_token is unset from the response.
- page_tokenstringquery
Opaque pagination token to go to next page based on previous query.
Response
- next_page_tokenstring
Opaque token to retrieve the next page of results. Absent if there are no more pages. page_token should be set to this value for the next request (for the next page of results).
List Provider Share Assets GA
GET
Get arrays of assets associated with a specified provider's share. The caller is the recipient of the share.
API scopes: sharing
Parameters
- provider_name_argstringRequiredpath
The name of the provider who owns the share.
- table_max_resultsint32query
Maximum number of tables to return.
- function_max_resultsint32query
Maximum number of functions to return.
- volume_max_resultsint32query
Maximum number of volumes to return.
- notebook_max_resultsint32query
Maximum number of notebooks to return.
Response
- tablesarray of object
The list of tables in the share.
Show child attributesHide child attributes
- namestring
The name of the table.
- schemastring
The name of the schema that the table belongs to.
- idstring
The id of the table.
- commentstring
The comment of the table.
- tagsarray of object
The Tags of the table.
Show child attributesHide child attributes
- keystring
name of the tag
- valuestring
value of the tag associated with the key, could be optional
- materialized_table_namestring
The name of a materialized table.
- materialization_namespacestring
The catalog and schema of the materialized table
- functionsarray of object
The list of functions in the share.
Show child attributesHide child attributes
- namestring
The name of the function.
- schemastring
The name of the schema that the function belongs to.
- idstring
The id of the function.
- storage_locationstring
The storage location of the function.
- commentstring
The comment of the function.
- aliasesarray of object
The aliass of registered model.
Show child attributesHide child attributes
- alias_namestring
Name of the alias.
- version_numint64
Numeric model version that alias will reference.
- tagsarray of object
The tags of the function.
Show child attributesHide child attributes
- keystring
name of the tag
- valuestring
value of the tag associated with the key, could be optional
- securable_kindstring
The securable kind of the function.
- full_data_typestring
The full data type of the function.
- data_typestring
The data type of the function.
- routine_definitionstring
The routine definition of the function.
- input_paramsobject
The function parameter information.
Show child attributesHide child attributes
- parametersarray of object
The list of parameters of the function.
Show child attributesHide child attributes
- namestring
The name of the parameter.
- type_textstring
The type of the parameter in text format.
- type_jsonstring
The type of the parameter in JSON format.
- type_namestring
The type of the parameter in Enum format.
- type_precisionint32
The precision of the parameter type.
- type_scaleint32
The scale of the parameter type.
- type_interval_typestring
The interval type of the parameter type.
- positionint32
The position of the parameter.
- parameter_modestring
The mode of the function parameter.
- parameter_typestring
The type of the function parameter.
- parameter_defaultstring
The default value of the parameter.
- commentstring
The comment of the parameter.
- dependency_listobject
The dependency list of the function.
Show child attributesHide child attributes
- dependenciesarray of object
An array of Dependency.
Show child attributesHide child attributes
- tableobject
- functionobject
- propertiesstring
The properties of the function.
- notebooksarray of object
The list of notebooks in the share.
Show child attributesHide child attributes
- namestring
Name of the notebook file.
- idstring
The id of the notebook file.
- commentstring
The comment of the notebook file.
- tagsarray of object
The tags of the notebook file.
Show child attributesHide child attributes
- keystring
name of the tag
- valuestring
value of the tag associated with the key, could be optional
- volumesarray of object
The list of volumes in the share.
Show child attributesHide child attributes
- namestring
The name of the volume.
- idstring
This id maps to the shared_volume_id in database Recipient needs shared_volume_id for recon to check if this volume is already in recipient's DB or not.
- schemastring
The name of the schema that the volume belongs to.
- commentstring
The comment of the volume.
- tagsarray of object
The tags of the volume.
Show child attributesHide child attributes
- keystring
name of the tag
- valuestring
value of the tag associated with the key, could be optional